
# NOTE: build against: rhevm-*-docs-candidate

# change these as needed
%global locale en-US
%global beta 1
%global product_line 3.6
#

%global manualdir %{_docdir}/%{name}/manual
%if 0%{?beta}
%global product_line_path %{product_line}-Beta
%else
%global product_line_path %{product_line}
%endif

%global product Red_Hat_Enterprise_Virtualization
%global admin_guide Administration_Guide
%global install_guide Installation_Guide
%global mrn Manager_Release_Notes
%global tech_guide Technical_Guide
%global user_guide User_Guide

%global lang_css Common_Content/css/lang.css
%global missing_pdf_placeholder %{product}-missing.pdf
%global missing_html_placeholder %{product}-missing

%global admin_guide_book %{product}-%{admin_guide}-%{product_line_path}-web-%{locale}
%global install_guide_book %{product}-%{install_guide}-%{product_line_path}-web-%{locale}
%global mrn_book %{product}-%{mrn}-%{product_line_path}-web-%{locale}
%global tech_guide_book %{product}-%{tech_guide}-%{product_line_path}-web-%{locale}
%global user_guide_book %{product}-%{user_guide}-%{product_line_path}-web-%{locale}

Name:		rhevm-doc
Version:	%{product_line}.0
Release:	2%{?dist}

Summary:	Red Hat Enterprise Virtualization documentation
Group:		Documentation
License:	CC-BY-SA
URL:		http://docs.redhat.com
Source0:	%{name}-index-%{locale}-%{version}-2.tar.gz
Source1:	%{admin_guide_book}-%{product_line}-2.tgz
Source2:	%{install_guide_book}-%{product_line}-2.tgz
#Source3:	%{mrn_book}-%{product_line}-0.tgz
#Source4:	%{tech_guide_book}-%{product_line}-0.tgz
Source3:	%{user_guide_book}-%{product_line}-3.tgz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: publican-API = 4.1
BuildRequires: desktop-file-utils
BuildRequires: publican-redhat-201405
BuildRequires:	python
BuildRequires:	python-argparse

%description

This package contains the Red Hat Enterprise Virtualization 
in-product documentation in html and pdf format.

%prep
%setup -q -T -D -a 0 -c
%setup -q -T -D -a 1 -c
%setup -q -T -D -a 2 -c
%setup -q -T -D -a 3 -c
#%setup -q -T -D -a 4 -c
#%setup -q -T -D -a 5 -c

%build
make -C rhevm-doc-index

####################
# comment out any of the below books (or individual formats) as necessary. The rest of the script will insert placeholders.
####################

publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{admin_guide_book}-%{product_line} --publish
touch %{admin_guide_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{admin_guide}/%{lang_css}
rm -rf tmp

publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{install_guide_book}-%{product_line} --publish
touch %{install_guide_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{install_guide}/%{lang_css}
rm -rf tmp

# GS disabling for 3.6 beta  11-Nov-2015
#publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{mrn_book}-%{product_line} --publish
#touch %{mrn_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{mrn}/%{lang_css}
#rm -rf tmp

# GS disabling for 3.6 beta  11-Nov-2015
#publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{tech_guide_book}-%{product_line} --publish
#touch %{tech_guide_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{tech_guide}/%{lang_css}
#rm -rf tmp

publican build --nocolours --formats="html" --langs=%{locale} --src_dir=%{user_guide_book}-%{product_line} --publish
#publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{user_guide_book}-%{product_line} --publish
touch %{user_guide_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{user_guide}/%{lang_css}
rm -rf tmp

%install
rm -rf "%{buildroot}"
make -C rhevm-doc-index install DESTDIR="%{buildroot}"

# create the directory structure that ovirt-engine expects
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{admin_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{install_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{mrn}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{tech_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{user_guide}

mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{admin_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{install_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{mrn}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{tech_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{user_guide}

# package any book content that was generated by publican
# if there was no book content, the first cp fails and the second cp installs a placeholder

cp -r %{admin_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{admin_guide}/
cp -r %{install_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{install_guide}/
cp -r %{mrn_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{mrn}/ 
cp -r %{tech_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{tech_guide}/ 
cp -r %{user_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{user_guide}/ 

cp -r %{admin_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{admin_guide}/%{product}-%{admin_guide}-%{locale}.pdf
cp -r %{install_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{install_guide}/%{product}-%{install_guide}-%{locale}.pdf
cp -r %{mrn_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{mrn}/%{product}-%{mrn}-%{locale}.pdf
cp -r %{tech_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{tech_guide}/%{product}-%{tech_guide}-%{locale}.pdf
cp -r %{user_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{user_guide}/%{product}-%{user_guide}-%{locale}.pdf

# tweak pdf file names
find "%{buildroot}%{manualdir}/%{locale}/pdf" -name '*.pdf' | while read f; do
	# strip locales
	mv "${f}" "$(echo "${f}" | sed 's/-[a-zA-Z][a-zA-Z][-_][a-zA-Z][a-zA-Z]\.pdf/.pdf/')" || /bin/true
done
find "%{buildroot}%{manualdir}/%{locale}/pdf" -name '*.pdf' | while read f; do
	# strip version numbers
	mv "${f}" "$(echo "${f}" | sed 's/%{product}-%{product_line_path}-/%{product}-/')" || /bin/true
done

install -m 0755 -d "%{buildroot}%{_sysconfdir}/ovirt-engine/engine.conf.d"
cat > "%{buildroot}%{_sysconfdir}/ovirt-engine/engine.conf.d/10-rhevm-doc.conf" << __EOF__
ENGINE_MANUAL="%{manualdir}"
__EOF__

%files 
%dir %{_docdir}/%{name}
%config %{_sysconfdir}/ovirt-engine/engine.conf.d/10-rhevm-doc.conf
%{manualdir}/

%changelog
* Wed Nov 11 2015 Greg Sheremeta <gshereme@redhat.com> - 3.6.0-2
- 3.6.0-2.
* Mon Apr 20 2015 Greg Sheremeta <gshereme@redhat.com> - 3.6.0-1
- 3.6.0-1.
* Fri Mar 27 2015 Greg Sheremeta <gshereme@redhat.com> - 3.5.1-2
- 3.5.1-2. updated with multi-locale mapping files
* Thu Mar 19 2015 Greg Sheremeta <gshereme@redhat.com> - 3.5.1-1
- 3.5.1-1. updated CSH mapping and books.
* Tue Mar 3 2015 Greg Sheremeta <gshereme@redhat.com> - 3.5.0-5
- 3.5.0-5. updated CSH mapping and books.
* Sun Dec 14 2014 Greg Sheremeta <gshereme@redhat.com> - 3.5.0-4
- 3.5.0-4. fixed bug in PDF name cleaning
* Tue Nov 25 2014 Greg Sheremeta <gshereme@redhat.com> - 3.5.0-3
- 3.5.0-3
* Thu Nov 20 2014 Greg Sheremeta <gshereme@redhat.com> - 3.5.0-2
- 3.5.0-2. completely revamped to use docbook source directly.
* Thu Sep 11 2014 Greg Sheremeta <gshereme@redhat.com> - 3.5.0-1
- 3.5.0-1
* Wed May 28 2014 Greg Sheremeta <gshereme@redhat.com> - 3.4.0-6
- added section to strip locale from pdf names. added section to
  strip missing lang.css imports from css files. removed
  references to Linux in the book names.
* Wed Apr 30 2014 Greg Sheremeta <gshereme@redhat.com> - 3.4.0-5
- 3.4.0-5
* Tue Apr 29 2014 Greg Sheremeta <gshereme@redhat.com> - 3.4.0-4
- 3.4.0-4
* Tue Apr 22 2014 Greg Sheremeta <gshereme@redhat.com> - 3.4.0-3
- 3.4.0-3
* Tue Apr 1 2014 Kiril Nesenko <knesenko@redhat.com> - 3.4.0-2
- 3.4.0-2
